Olympus Docs
ReferenceAPIsOry Hydra APIoAuth2

Patch OAuth 2.0 Client

Patch an existing OAuth 2.0 Client using JSON Patch. If you pass `client_secret`

PATCH /admin/clients/{id}

Patch an existing OAuth 2.0 Client using JSON Patch. If you pass client_secret the secret will be updated and returned via the API. This is the only time you will be able to retrieve the client secret, so write it down and keep it safe.

OAuth 2.0 clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.

Operation ID: patchOAuth2Client    Tag: oAuth2

Path parameters

NameTypeRequiredDescription
idstringyesThe id of the OAuth 2.0 Client.

Request body

OAuth 2.0 Client JSON Patch Body

Content-Type: application/json

Type: array of object

Schema: jsonPatchDocument, see the Ory Hydra API schemas reference for the full type.

Responses

StatusDescriptionBody
200oAuth2Clientapplication/json, object
404Not Found Error Responseapplication/json, object
defaultDefault Error Responseapplication/json, object

Generated from ../athena/openapi.json at build time.

On this page